\begin{tabular}{|l|l|l|l|l|l|l|l|l|l|l|l|l|c|c|c|}
\hline \multicolumn{11}{|c|}{Proof obligations } & \provername{Alt-Ergo 2.3.1} & \provername{CVC4 1.6} & \provername{Z3 4.8.6} \\ 
\hline
\explanation{if\_mem\_then\_subset\_set\_smb}  & \explanation{if\_mem\_then\_subset\_set\_smb.0}  &  & & & & & & & & \valid{0.60} & \noresult& \noresult\\ 
\hline
\explanation{subset\_set\_smb\_clauselist} & & & & & & & & & & & \noresult& \valid{0.25} & \noresult\\ 
\hline
\explanation{sublist\_subset\_set\_smb}  & \explanation{sublist\_subset\_set\_smb.0}  &   &  & & & & & & \valid{0.04} & \valid{0.19} & \valid{0.06} \\ 
\cline{4-6}
 &  &  &   &  & & & & \noresult& \valid{0.13} & \noresult\\ 
\cline{5-7}
 &  &  &  &  & & & & \valid{0.18} & \noresult& \noresult\\ 
\cline{6-7}
 &  & & \noresult& \valid{0.15} & \noresult\\ 
\cline{6-8}
 &  &  &  &  &  & & \valid{0.06} & \noresult& \noresult\\ 
\cline{7-8}
 &   &   &  & \noresult& \valid{0.21} & \noresult\\ 
\cline{9-11}
 &  &  &  &  &  &  &  &  & \valid{0.02} & \valid{0.13} & \noresult\\ 
\cline{10-11}
 &  & \valid{0.02} & \valid{0.16} & \valid{0.06} \\ 
\cline{11-12}
 &  & \noresult& \valid{0.13} & \noresult\\ 
\cline{11-13}
 &  &  &  &  &  &  &  &  &  &  & \valid{0.02} & \valid{0.13} & \valid{0.06} \\ 
\cline{10-12}
 &  &  &  &  &  &  &  &  &  & \noresult& \valid{0.13} & \noresult\\ 
\hline \end{tabular}
